%define anolis_release 2

Name:           perl-File-Which
Version:        1.27
Release:        %{anolis_release}%{?dist}
Summary:        Portable implementation of the 'which' utility
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/File-Which
Source0:        https://cpan.metacpan.org/authors/id/P/PL/PLICEASE/File-Which-%{version}.tar.gz
BuildArch:      noarch
BuildRequires: make
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(strict)
# Run-time:
BuildRequires:  perl(constant)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(File::Spec) >= 0.60
BuildRequires:  perl(warnings)
# Tests:
BuildRequires:  perl(Env)
BuildRequires:  perl(Config)
BuildRequires:  perl(Test::More) >= 0.80
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(File::Spec) >= 0.60
 
# Remove under-specified dependencies
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(File::Spec\\)$
 
%description
File::Which is a portable implementation (in Perl) of 'which', and can
be used to get the absolute filename of an executable program
installed somewhere in your PATH, or just check for its existence.
 
%prep
%setup -q -n File-Which-%{version}
 
%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}
 
%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
chmod -R u+w %{buildroot}
 
%check
make test
 
%files
%doc Changes README
%{perl_vendorlib}/File/
%{_mandir}/man3/File::Which.3*
 
%changelog
* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.27-2
- rebuild with perl 5.36.0

* Mon Apr 18 2022 gcdota930915 <taifu.gc@alibaba-inc.com> - 1.27-1
- Init from upstream version 1.27
